@import url('https://fonts.googleapis.com/css2?family=Libre+Franklin:wght@300;600;700&display=swap');

:root {
  --blue: hsl(223, 87%, 63%);
  --paleBlue: hsl(223, 100%, 88%);
  --lightRed: hsl(354, 100%, 66%);
  --gray: hsl(0, 0%, 59%);
  --veryDarkBlue: hsl(209, 33%, 12%);
}

* {
  margin: 0;
  border: none;
  box-sizing: border-box;
  padding: 0;
}

body {
  font-family: 'Libre Franklin', sans-serif;
  color: var(--veryDarkBlue);
  text-align: center;
  font-weight: 300;
  font-size: 20px;
}

main,
main form {
  display: grid;
  place-items: center;
}

/* Header */

h1 {
  margin-top: 162px;
}

h1 img {
  width: 107px;
}

/* Main */

main h2 {
  margin-top: 68px;
  padding: 0 10px;
  color: var(--gray);
  font-weight: 300;
  font-size: 44.5px;
}

main h2 .emphasis {
  color: var(--veryDarkBlue);
  font-weight: 700;
}

main p {
  margin-top: 36px;
  font-size: 24.2px;
}

main form {
  margin-top: 64px;
  width: 100%;
  max-width: 638px;
  gap: 1em;
}

main form input {
  width: 75.5%;
  height: 80px;
  padding: 0 8.9%;
  font-size: 24.3px;
}

main form input[type='email'] {
  border: 2px solid var(--paleBlue);
  border-radius: 2em;
  font-family: 'Libre Franklin', sans-serif;
  font-weight: 300;
  outline: none;
}

main form input[type='email']::placeholder {
  color: var(--paleBlue);
}

main form input[type='email']:not(:placeholder-shown):invalid {
  border: 2px solid var(--lightRed);
}

main form .input-error {
  display: none;
  margin: -8px 0 27px;
  color: var(--lightRed);
  font-style: italic;
  font-size: 20.5px;
}

main form input[type='email']:not(:placeholder-shown):invalid+.input-error {
  display: block;
}

main form input[type='submit'] {
  border-radius: 2em;
  background: var(--blue);
  color: white;
  font-weight: 500;
  box-shadow: 5px 15px 15px hsl(223, 87%, 63%, .2);
  transition: 400ms;
}

main form input[type='submit']:hover {
  background: #7195f5;
  transition: 400ms;
}

main .illustration {
  margin-top: 136px;
  width: 85.5%;
}

/* Footer */

footer {
  margin-top: 240.6px;
  text-align: center;
}

footer .social-links {
  display: flex;
  justify-content: center;
  gap: 26px;
}

footer .social-links .social-image-border {
  width: 61.1px;
  aspect-ratio: 1;
  border: 1px solid var(--paleBlue);
  border-radius: 50%;
  display: grid;
  place-items: center;
  transition: 400ms;
}

footer .social-links .social-image-border:hover {
  border: 1px solid var(--blue);
  background: var(--blue);
  transition: 400ms;
}

footer .social-links .social-image-border .social-image {
  color: var(--blue);
  transform: scale(1.4);
}

footer .social-links .social-image-border:hover > .social-image {
  color: white;
}

footer .copyright {
  margin-top: 56px;
  color: var(--gray);
  font-size: 20.1px;
}

footer .attribution {
  margin: 30px 0 20px;
  font-size: 15px;
}

footer a {
  color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: 751px) {

  /* Header */

  h1 {
    margin-top: 73px;
  }

  h1 img {
    width: 87px;
  }

  /* Main */

  main h2 {
    margin-top: 37px;
    font-size: 48.2px;
  }

  main p {
    margin-top: 17px;
    font-size: 20.1px;
  }

  main form {
    margin-top: 40px;
    grid-template-columns: 66.2% auto;
    gap: 16px;
  }
  
  main form input {
    width: 100%;
    height: 56px;
    padding: 0 7.1%;
    font-size: 16.3px;
  }

  main form input[type='email'] {
    border: 1px solid var(--paleBlue);
  }

  main form input[type='email']:not(:placeholder-shown):invalid {
    border: 1px solid var(--lightRed);
  }

  main form .input-error {
    position: absolute;
    margin: 0;
    top: 363px;
    left: 30%;
    font-size: 12.4px;
  }

  main form input[type='submit'] {
    box-shadow: 0px 8px 8px hsl(223, 87%, 63%, .2);
  }

  main .illustration {
    margin-top: 86px;
    width: 44.5%;
  }

  /* Footer */

  footer {
    margin-top: 72px;
  }

  footer .social-links {
    gap: 13px;
  }
  
  footer .social-links .social-image-border {
    width: 30.5px;
    height: 30.5px;
  }

  footer .social-links .social-image-border .social-image {
    transform: scale(.7);
  }

  footer .copyright {
    margin-top: 25px;
    font-size: 12px;
  }

  footer .attribution {
    margin: 15px 0;
  }
}